net.sf.jasperreports.web.util

## Class FontWebResourceHandler

- java.lang.Object
- - net.sf.jasperreports.web.util.FontWebResourceHandler

- All Implemented Interfaces:
    WebResourceHandler

      public class FontWebResourceHandler
      extends java.lang.Object
      implements WebResourceHandler

  Version:
    $Id: ImageServlet.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `REQUEST_PARAMETER_FONT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontWebResourceHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResourceBasePath(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`
    `boolean` | `handleResource(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `protected byte[]` | `processFont(JasperReportsContext jasperReportsContext, java.lang.String basePath, HtmlFont htmlFont)`
    `protected byte[]` | `processFont(java.lang.String basePath, HtmlFont htmlFont)` Deprecated. Replaced by `processFont(JasperReportsContext, String, HtmlFont)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST_PARAMETER_FONT_NAME

          public static final java.lang.String REQUEST_PARAMETER_FONT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FontWebResourceHandler

          public FontWebResourceHandler()

  - ### Method Detail

    - #### handleResource

          public boolean handleResource(JasperReportsContext jasperReportsContext,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

      Specified by:
        `handleResource` in interface `WebResourceHandler`

    - #### processFont

          protected byte[] processFont(java.lang.String basePath,
                           HtmlFont htmlFont)

      Deprecated. Replaced by `processFont(JasperReportsContext, String, HtmlFont)`.

    - #### processFont

          protected byte[] processFont(JasperReportsContext jasperReportsContext,
                           java.lang.String basePath,
                           HtmlFont htmlFont)

    - #### getResourceBasePath

          public java.lang.String getResourceBasePath(JasperReportsContext jasperReportsContext,
                                             javax.servlet.http.HttpServletRequest request)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com